Subject: [p2p-sip] Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

From: fluffy at cisco.com (Cullen Jennings)
Date: Fri Aug 12 16:03:20 2005

Can we please move this discussion off the sipping list and over to the
p2p-sip list. If you reply to this, please remove sipping from the cc line.

Thanks, Cullen

On 8/12/05 1:01 PM, "Brijesh Kumar" <[email-masked]> wrote:

> ----- Original Message -----
> From: "Philip Patrick" <[email-masked]>
> 
>> I believe emergency services should be within the scope of P2P SIP.  As a
> network operator enabling VoIP SPs to become custom telephone companies, we
> at Pac West Telecom endorse the FCC Order requiring VoIP SPs to support
> Enhanced 911 service for nomadic VoIP users.  And, in order for P2P VoIP to
> become a ubiquitous means of communication, the routing of calls to the
> correct >PSAP and rendering of location information for use by a 911
> dispatcher is essential.
> 
> 
> Philips:
> 
> P2P SIP need  not be designed with operators in mind and hence there is no
> requirements for supporting every thing that  SIP does.
> 
> As Dean pointed, and I fully concur that E911 and FCC are definitely out of
> the scope for P2P SIP.
> 
> Many people may want to use P2P SIP only for applications within the
> enterprise, and that sure should keep both FCC and most operators out. And,
> it  also makes lawful interception out of scope and irrelevant for such
> users.
> 
> regards,
> 
> --bk
> 
>> -----Original Message-----
>> From: Dean Willis [mailto:[email-masked]]
>> Sent: Fri 8/12/2005 11:48 AM
>> To: Brijesh Kumar
>> Cc: Cullen Jennings; sipping; Richard Shockey
>> Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer
>> 
>> 
>> 
>> 
>> On Aug 12, 2005, at 11:30 AM, Brijesh Kumar wrote:
>> 
>>> I think Sohel raised some interesting issues -
>>> specially 1,3, 4, and 5 that the group needs to
>>> include in any discussion. Task model is very important
>>> for further development of P2P SIP otherwise you
>>> won't be able to deploy P2P SIP for real life
>>> applications.
>> 
>> Discussing the task model probably makes sense. Reliability, DoS
>> resistance, and privacy are key elements of any IETF protocol work. I'm
>> not certain about access to emergency services -- this may well be
>> outside the scope of P2P.
>> 
>> However, I find it extremely unlikely that IETF work on P2P using SIP
>> will address or consider lawful intercept.
>> 
>> There are already mechanisms available for lawful intercept in the
>> Internet in general (such as RFC 3924).
>> 
>> Consideration of lawful intercept as a protocol requirement is
>> generally outside the scope of the IETF. This position is documented in
>> RFC 2804, which has as a summary:
>> 
>>     The IETF has decided not to consider requirements for wiretapping as
>>     part of the process for creating and maintaining IETF standards.
>> 
>> Personally, I believe that if P2P SIP mechanisms prove to be
>> particularly sensitive to intercept, then we've failed to correctly
>> specify those mechanisms. I feel that this is consistent with the
>> intent of RFC 1984.
>> 
>> --
>> Dean
>> 
>> 
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP
>> 
>> 
>> 
> 
> 
> ----------------------------------------------------------------------------
> ----
> 
> 
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP

---

From: davidbryan at gmail.com (David A. Bryan)
Date: Fri Aug 12 21:32:48 2005

<moved this thread over from the sipping list to here>

I think it is possible that people may want to use p2p as an alternate
mechanism for connectivity in the case of an emergency, and that might
be a legitimate use (i.e., a node can reach another node, but not a
gateway for some reason, and uses another phone to forward the request
and media or something like that), but that many P2P systems will not
support full e911 type services and it certainly shouldn't be a
requirement, since as some pointed out, these are likely to be used
for ephemeral or ad-hoc networks.

I guess I would tend to think that adding full e911 support is out of
scope (and if we design it right to be SIP compatible, should be
addressed by work currently being done in the IETF), but that it is
conceivable that using P2P sip to help achieve e911 is a possible
application, although likely not something that would be explicitly
dealt with in the design of such a system.

--David

-- 
David Bryan
Please continue to send me email at the address [email-masked]